#!/bin/bash
# Possible queues:
#    I) test: Max 1 node-40 tasks/15 min
#   II) small: Max 1 node/40tasks/72 h
#  III) large Max 100 nodes - 4k tasks/72 h
#   IV) longrun: Max 1 node - 40 tasks / 336 h
#SBATCH --job-name=A
#SBATCH --partition=small
#SBATCH --nodes=1                 # number of nodes to use
#SBATCH --ntasks-per-node=1       # tasks per node (aka MPI processes)
#SBATCH --cpus-per-task=16         # cpus per task (aka OpenMP threads)
#SBATCH --account=Project_2002880 # insert here the project to be billed
##SBATCH --account=klaasone # insert here the project to be billed
#SBATCH --time=01:59:00
# time as hh:mm:ss
#SBATCH --gres=nvme:500        # requested local disk in GB
#SBATCH --mem-per-cpu=2G
#SBATCH -o e.log            # redirect standard out
#SBATCH -e e.err            # redirect eror messages

# Load G16
module purge
module load gaussian/G16RevC.01

# define local disk as scratch
export GAUSS_SCRDIR=$LOCAL_SCRATCH/$SLURM_JOBID
mkdir -p $GAUSS_SCRDIR

# Execute G16
srun g16 inputsmd.com

# check ressource usage
seff $SLURM_JOBID
